import flatten from "lodash/flatten";
import React, { Children } from "react";
import { isAnyUiElement } from "../utils";
export const Action = () => null;
export const PathAction = () => null;
PathAction.anyUiName = "PathAction";
export default PathAction;
export const extractPathActions = (children, Component, propsMapper = props => props) => flatten(Children.map(children, c => {
    if (c && isAnyUiElement(c, PathAction)) {
        return [React.createElement(Component, propsMapper(c.props))];
    }
    return [];
}));
export const mapPathActions = (children, Component, propsMapper = props => props) => Children.map(children, c => {
    if (c && isAnyUiElement(c, PathAction)) {
        return React.createElement(Component, propsMapper(c.props));
    }
    return c;
});
