import clsx from 'clsx';
import React from 'react';
import AppBar from '../AppBar';
import { FlexRoot, FullHeight } from '../Atoms';
import { DrawerLayout, DrawerProvider } from '../DrawerLayout';
import { BottomNav, TopNav } from '../PrimaryNav';
import { ResponsiveTitle } from '../ResponsiveTitle';
import { Visible } from '../Visibility';
import { AppBarLogoContent } from './components/AppBarLogoSlot';
import { AppBarMenuContent } from './components/AppBarMenuSlot';
import { AppBarRightContent } from './components/AppBarRightSlot';
import { RenderAppContent } from './components/AppContentSlot';
import { AppSlotsProvider } from './components/AppSlotsProvider';
import { RenderAppTitle } from './components/AppTitleSlot';
import { RenderMobileFab } from './components/MobileFabSlot';
export const AppLayout = ({ children }) => (React.createElement(AppSlotsProvider, null,
    React.createElement(DrawerProvider, null,
        React.createElement(FlexRoot, null,
            React.createElement(AppBar, null,
                React.createElement(AppBarMenuContent, null),
                React.createElement(AppBarLogoContent, null),
                React.createElement(ResponsiveTitle, { className: clsx('AppBarTitle', 'AuiTitle', 'SiteMasthead') },
                    React.createElement(RenderAppTitle, null)),
                React.createElement(Visible.Desktop, null,
                    React.createElement(TopNav, { centered: true })),
                React.createElement(AppBarRightContent, null)),
            React.createElement(DrawerLayout, { appBar: true }),
            React.createElement(FullHeight, { appBar: true, bottomNav: true },
                React.createElement(RenderAppContent, null),
                React.createElement(RenderMobileFab, null),
                React.createElement(Visible.Mobile, null,
                    React.createElement(BottomNav, null)))),
        children)));
export default AppLayout;
