import Fab from '@material-ui/core/Fab';
import React from 'react';
import { FabBox } from '../../Atoms';
import { createSlot, createSlotConsumer, SlotContent } from '../../slots';
export const mobileFabSlot = createSlot();
export const MobileFab = createSlotConsumer(mobileFabSlot);
export const RenderMobileFab = () => (React.createElement(FabBox, null,
    React.createElement(SlotContent, { slot: mobileFabSlot }, (action) => {
        if (!action) {
            return null;
        }
        const { onClick, Icon } = action.props;
        if (!onClick || !Icon) {
            return null;
        }
        return (React.createElement(Fab, { onClick: onClick, color: "primary" }, Icon && React.createElement(Icon, null)));
    })));
export default MobileFab;
