import CssBaseline from '@material-ui/core/CssBaseline';
import React from 'react';
import { Router } from 'react-router';
import { ConfirmProvider } from '../Confirm';
import { browserHistory } from '../navigation';
import ThemeProvider from '../Theme';
import { configure } from 'react-hotkeys';
configure({
    allowCombinationSubmatches: true,
    defaultKeyEvent: 'keypress',
    ignoreTags: ['textarea'],
});
export const AppProviders = ({ themeOptions, browserHistory: outerHistory, children, }) => {
    return (React.createElement(ThemeProvider, { themeOptions: themeOptions },
        React.createElement(CssBaseline, null),
        React.createElement(Router, { history: outerHistory || browserHistory },
            React.createElement(ConfirmProvider, null, children))));
};
export default AppProviders;
