var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import Box from '@material-ui/core/Box';
import { makeStyles } from '@material-ui/core/styles';
import clsx from 'clsx';
import React from 'react';
import addClassNameToProps from '../utils/addClassNameToProps';
// eslint-disable
const useStyles = makeStyles(theme => {
    return {
        root: {
            flexGrow: 1,
            height: '100%',
            overflow: 'scroll',
            '--tool-bar-height': `${theme.mixins.sizes.toolbar.height}px`,
            [theme.breakpoints.up('sm')]: {
                '--tool-bar-height': `${theme.mixins.sizes.tabbar.height}px`,
            },
            '--full-height': `calc(100% - var(--tool-bar-height))`,
        },
        bottomNav: {
            [theme.breakpoints.down('md')]: {
                marginBottom: `${theme.mixins.sizes.bottomNav.height}px`,
                height: `calc(var(--full-height) - ${theme.mixins.sizes.bottomNav.height}px)`,
            },
        },
        toolbar: {
            marginTop: 'var(--tool-bar-height)',
            height: 'var(--full-height)',
        },
    };
});
export const FullHeight = (_a) => {
    var { appBar, bottomNav } = _a, props = __rest(_a, ["appBar", "bottomNav"]);
    const classes = useStyles();
    return (React.createElement(Box, Object.assign({}, addClassNameToProps(Object.assign(Object.assign({}, props), { className: clsx(classes.root, {
            [classes.toolbar]: appBar,
            [classes.bottomNav]: bottomNav,
        }) }), 'FullHeight'))));
};
export default FullHeight;
