var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import IconButton from '@material-ui/core/IconButton';
import TooltipMui from '@material-ui/core/Tooltip';
import { createStyles } from '@material-ui/core/styles';
import React from 'react';
import { withStylesAui } from '../styles';
// eslint-disable
const styles = (theme) => createStyles({
    root: {
        // color: `#FFF`,
        opacity: 0.25,
        transition: theme.transitions.create('opacity', {
            duration: theme.transitions.duration.short,
        }),
        '&:disabled': {
            opacity: 0.25,
            pointerEvents: 'none',
            backgroundColor: 'transparent',
        },
        '&:disabled:hover': {
            pointerEvents: 'none',
        },
        '&:not(.Mui-disabled):hover': {
            opacity: 1,
        },
    },
    colorPrimary: {
        opacity: 0.5,
    },
    disabled: {
        opacity: 0.2,
    },
    colorInherit: {},
    colorSecondary: {},
    edgeEnd: {},
    edgeStart: {},
    label: {},
    sizeSmall: {},
});
export const CardActionIconButtonBase = (_a) => {
    var { tooltip, color, onClick, disabled } = _a, rest = __rest(_a, ["tooltip", "color", "onClick", "disabled"]);
    const handleClick = (e) => {
        if (onClick) {
            e.stopPropagation();
            onClick(e);
        }
    };
    const button = (React.createElement(IconButton, Object.assign({ onClick: handleClick, color: color, disabled: disabled }, rest)));
    return tooltip && !disabled ? (React.createElement(TooltipMui, { title: tooltip }, button)) : (button);
};
CardActionIconButtonBase.defaultProps = {
    color: 'default',
};
export const CardActionIconButton = withStylesAui(styles, {
    name: 'CardActionIconButton',
})(CardActionIconButtonBase);
export default CardActionIconButton;
