import type { PropTypes } from '@material-ui/core';
import { ListItemAvatarProps } from '@material-ui/core/ListItemAvatar';
import type { ClassNameMap } from "@material-ui/core/styles/withStyles";
import React, { FC } from 'react';
export declare type AvatarClassKey = 'icon' | 'root' | 'colorInherit' | 'colorDefault' | 'colorPrimary' | 'colorSecondary' | 'apply' | 'inverse';
export declare type AvatarClasses = Partial<ClassNameMap<AvatarClassKey>>;
declare type TVariant = 'icon' | 'data';
export interface ICardAvatarProps {
    avatar?: string | number;
    variant?: TVariant;
    color?: PropTypes.Color;
    inverse?: boolean;
    classes?: AvatarClasses;
}
export declare const CardAvatarBase: FC<Partial<ListItemAvatarProps> & ICardAvatarProps>;
export declare const CardAvatar: React.ComponentType<Pick<any, string | number | symbol> & import("@material-ui/core").StyledComponentProps<never>>;
declare const _default: React.ComponentType<ICardAvatarProps>;
export default _default;
