var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import Avatar from '@material-ui/core/Avatar';
import ListItemAvatar from '@material-ui/core/ListItemAvatar';
import { fade } from '@material-ui/core/styles';
import { createStyles } from '@material-ui/core/styles';
import clsx from 'clsx';
import React from 'react';
import { withStylesAui } from '../styles';
import { capitalize } from '../utils/helpers';
// eslint-disable
const styles = createStyles((theme) => ({
    icon: {
        fontWeight: 800,
        height: 32,
        width: 32,
    },
    root: {
        '& .MuiSvgIcon-root': {
            minWidth: 32,
        },
    },
    colorInherit: {},
    colorDefault: {
        '--avatar-color': theme.palette.background.default,
        '--avatar-background-color': theme.palette.type === 'light'
            ? theme.palette.grey[400]
            : theme.palette.grey[600],
        '&$inverse': {
            '--avatar-color': theme.palette.type === 'light'
                ? theme.palette.grey[400]
                : theme.palette.grey[600],
            '--avatar-background-color': theme.palette.background.default,
        },
    },
    colorPrimary: {
        '--avatar-color': theme.palette.primary.main,
        '--avatar-background-color': fade(theme.palette.primary.main, theme.palette.action.hoverOpacity),
        '&$inverse': {
            // '--avatar-color': darken(theme.palette.primary.dark, 0.5),
            // '--avatar-background-color': fade(theme.palette.primary.light, 0.75),
            '--avatar-background-color': fade(theme.palette.secondary.main, theme.palette.action.hoverOpacity),
        },
    },
    colorSecondary: {
        '--avatar-color': theme.palette.secondary.main,
        '--avatar-background-color': fade(theme.palette.secondary.main, theme.palette.action.hoverOpacity),
        '&$inverse': {
            // '--avatar-color': darken(theme.palette.secondary.dark, 0.5),
            // '--avatar-background-color': fade(theme.palette.secondary.light, 0.75),
            // color: theme.palette.primary.main,
            '--avatar-background-color': fade(theme.palette.primary.main, theme.palette.action.hoverOpacity),
        },
    },
    apply: {
        color: 'var(--avatar-color)',
        backgroundColor: 'var(--avatar-background-color)',
    },
    inverse: {
    // backgroundColor: 'var(--avatar-color)',
    // color: 'var(--avatar-background-color)',
    },
}));
export const CardAvatarBase = (_a) => {
    var { classes = {}, variant = 'icon', children, color, avatar, inverse } = _a, rest = __rest(_a, ["classes", "variant", "children", "color", "avatar", "inverse"]);
    return (React.createElement(ListItemAvatar, Object.assign({ classes: { root: classes.root } }, rest),
        React.createElement(Avatar, { classes: {
                colorDefault: clsx(classes.icon, 
                // @ts-ignore
                classes[`color${capitalize(color)}`], {
                    // @ts-ignore
                    [classes.inverse]: inverse,
                }, classes.apply),
            } }, avatar || children)));
};
CardAvatarBase.defaultProps = {
    color: 'default',
};
export const CardAvatar = withStylesAui(styles, {
    name: 'CardAvatar',
})(CardAvatarBase);
export default CardAvatar;
// @ts-ignore
CardAvatar.muiName = ListItemAvatar.muiName;
