import { ButtonProps } from '@material-ui/core/Button';
import { FC, KeyboardEvent } from 'react';
import type { ActionsBarProps } from '../ActionsBar/ActionsBar';
export interface IButtonProps extends ButtonProps {
    label?: string;
    hide?: boolean;
}
export interface IConfirmActionProps {
    buttonProps?: ButtonProps;
    confirmProps?: IButtonProps;
    cancelProps?: IButtonProps;
}
export interface IConfirmActions {
    onConfirm: () => void;
    onCancel?: () => void;
}
export declare type IConfirmHandlers = (onConfirm: () => void, onCancel?: () => void) => (event: KeyboardEvent<HTMLDivElement>) => void;
export declare const confirmKeyHandlers: IConfirmHandlers;
export declare type ConfirmActionsProps = Partial<IConfirmActions> & IConfirmActionProps & ActionsBarProps;
export declare const ConfirmActions: FC<ConfirmActionsProps>;
export default ConfirmActions;
