import type { PropTypes } from '@material-ui/core';
import type { ClassNameMap } from "@material-ui/core/styles/withStyles";
import React, { FC, ReactNode } from 'react';
import { ISelectableComponentProps } from '../SelectableCard';
import type { AuiStandardProps } from '../types';
export declare type DataCardClassKey = 'listItem' | 'selectable' | 'selected';
export declare type DataCardClasses = Partial<ClassNameMap<DataCardClassKey>>;
interface IProps extends ISelectableComponentProps, AuiStandardProps<DataCardClassKey> {
    onClick?: VoidFunction;
    actions?: ReactNode;
    icon?: ReactNode;
    primaryText?: ReactNode;
    secondaryAction?: ReactNode;
    secondaryText?: ReactNode;
    classes?: DataCardClasses;
    color?: PropTypes.Color;
}
export declare const DataCardBase: FC<IProps>;
export declare const DataCard: React.ComponentType<any>;
export default DataCard;
