var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import Box from '@material-ui/core/Box';
import ListItem from '@material-ui/core/ListItem';
import ListItemText from '@material-ui/core/ListItemText';
import { createStyles } from '@material-ui/core/styles';
import clsx from 'clsx';
import { useObserver } from 'mobx-react-lite';
import React from 'react';
import { CardActionsPlaceHolder } from '../CardActionsBar';
import SelectableComponent from '../SelectableCard';
import { withStylesAui } from '../styles';
const styles = createStyles({
    listItem: {
        display: 'block',
        position: 'relative',
    },
    selectable: {
        position: 'relative',
    },
    selected: {
        pointerEvents: 'none',
    },
});
export const DataCardBase = (_a) => {
    var { actions, icon, primaryText, secondaryAction, secondaryText, selected, isSelectable, classes = {}, className, color } = _a, rest = __rest(_a, ["actions", "icon", "primaryText", "secondaryAction", "secondaryText", "selected", "isSelectable", "classes", "className", "color"]);
    return useObserver(() => (React.createElement(SelectableComponent, { isSelectable: isSelectable, selected: selected, className: clsx(classes.selectable, { hasActionsBar: !!actions }, className), color: color },
        React.createElement(ListItem
        // button={true as any}
        , Object.assign({ 
            // button={true as any}
            className: clsx(classes.listItem, {
                [`${classes.selected}`]: selected,
            }) }, rest),
            React.createElement(Box, { className: 'MuiButtonBase-root MuiListItem-root MuiListItem-gutters MuiListItem-button"' },
                icon,
                React.createElement(ListItemText, { primary: primaryText, primaryTypographyProps: { className: 'AuiDataCard-Typography' }, secondary: secondaryText, secondaryTypographyProps: { className: 'AuiDataCard-Typography' } })),
            actions && React.createElement(CardActionsPlaceHolder, null)),
        secondaryAction,
        actions)));
};
export const DataCard = withStylesAui(styles, {
    name: 'DataCard',
})(DataCardBase);
export default DataCard;
DataCard.defaultProps = {
    button: true,
    dense: true,
    disableGutters: true,
};
