var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { Dialog as MuiDialog, DialogContent, DialogTitle, } from '@material-ui/core';
import React from 'react';
import ConfirmActions from '../ConfirmActions';
export const Dialog = (_a) => {
    var { confirmAction, onClose, children, id = 'dialog', title } = _a, props = __rest(_a, ["confirmAction", "onClose", "children", "id", "title"]);
    let actions = null;
    if (confirmAction === undefined) {
        actions = (React.createElement(DialogContent, null,
            React.createElement(ConfirmActions, { onConfirm: onClose, cancelProps: { hide: true } })));
    }
    else if (typeof confirmAction === 'string') {
        actions = (React.createElement(DialogContent, null,
            React.createElement(ConfirmActions, { onConfirm: onClose, confirmProps: { label: confirmAction }, cancelProps: { hide: true } })));
    }
    else if (confirmAction !== false) {
        actions = (React.createElement(DialogContent, null,
            React.createElement(ConfirmActions, { onConfirm: onClose, confirmProps: confirmAction, cancelProps: { hide: true } })));
    }
    return (React.createElement(MuiDialog, Object.assign({}, props, { onClose: onClose, "aria-labelledby": `${id}-title`, "aria-describedby": `${id}-description` }),
        title && React.createElement(DialogTitle, { id: `${id}-title` }, title),
        children,
        actions));
};
