var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { debounce } from 'lodash';
import React, { useState } from 'react';
import { Dialog as AuiDialog } from './Dialog';
export const useDialog = (startOpen = false) => {
    const [initialOpen, setInitialOpen] = useState(startOpen);
    const [isOpen, setIsOpen] = useState(startOpen);
    let onOpenInner;
    const openDialog = debounce(() => {
        if (!onOpenInner || onOpenInner()) {
            setIsOpen(true);
        }
    }, 300, { leading: true, trailing: false });
    let onCloseInner;
    const closeDialog = debounce(() => {
        if (!onCloseInner || onCloseInner()) {
            setIsOpen(false);
        }
    }, 300, { leading: true, trailing: false });
    const Dialog = (_a) => {
        var { onClose, onOpen } = _a, userProps = __rest(_a, ["onClose", "onOpen"]);
        onOpenInner = onOpen;
        onCloseInner = onClose;
        if (initialOpen && onOpenInner) {
            setIsOpen(onOpenInner());
            setInitialOpen(false);
        }
        return React.createElement(AuiDialog, Object.assign({ open: isOpen, onClose: closeDialog }, userProps));
    };
    return { isOpen, openDialog, closeDialog, Dialog };
};
