import Box from '@material-ui/core/Box';
import Divider from '@material-ui/core/Divider';
import List from '@material-ui/core/List';
import ListItemSecondaryAction from '@material-ui/core/ListItemSecondaryAction';
import ListItemText from '@material-ui/core/ListItemText';
import ListSubheader from '@material-ui/core/ListSubheader';
import Paper from '@material-ui/core/Paper';
import { makeStyles } from '@material-ui/core/styles';
import React, { Fragment, useEffect, useState } from 'react';
import ListItem from '../ListItem';
export const DocsLoadingPlaceholder = ({ title, count, }) => (React.createElement(PaperListPlaceholder, { title: title },
    React.createElement(ListPlaceholder, { count: count })));
const PaperListPlaceholder = ({ title, children }) => (React.createElement(Paper, null,
    title && (React.createElement(ListSubheader, null,
        React.createElement(TextPlaceholder, { width: "45%" }))),
    children));
const useStyles = makeStyles(theme => {
    return {
        iconPlaceholder: {
            backgroundColor: theme.palette.action.disabledBackground,
            borderRadius: 999,
            display: 'inline-block',
            fontSize: 24,
            height: '1em',
            userSelect: 'none',
            width: '1em',
        },
        textPlaceholder: {
            backgroundColor: theme.palette.action.disabledBackground,
            borderRadius: 999,
            display: 'inline-block',
            height: '1rem',
            marginBottom: theme.spacing(1),
            opacity: 0.25,
        },
    };
});
const IconPlaceholder = () => {
    const classes = useStyles();
    return React.createElement(Box, { component: "span", className: classes.iconPlaceholder });
};
const TextPlaceholder = ({ width = '100%' }) => {
    const classes = useStyles();
    return (React.createElement(Box, { component: "span", className: classes.textPlaceholder, width: width }));
};
const ItemPlaceholder = () => (React.createElement(ListItem, null,
    React.createElement(ListItemText, { primary: React.createElement(TextPlaceholder, null), secondary: React.createElement(TextPlaceholder, { width: "75%" }) }),
    React.createElement(ListItemSecondaryAction, null,
        React.createElement(IconPlaceholder, null))));
const ListPlaceholder = ({ count }) => {
    const [items, setItems] = useState(Array(count).fill(ItemPlaceholder));
    useEffect(() => {
        const handle = setTimeout(() => {
            setItems([...items, ItemPlaceholder]);
        }, 250);
        return () => {
            clearTimeout(handle);
        };
    });
    return (React.createElement(List, null, items.map((Placeholder, i) => (React.createElement(Fragment, { key: `Placeholder${i}` },
        i > 0 && React.createElement(Divider, null),
        React.createElement(Placeholder, null))))));
};
