import { FC } from 'react';
import type { IColl, IDoc } from '../../docs';
import type { IDocsCollectionTitleProps } from './DocsCollectionTitle';
import { IDocRootBaseProps } from './DocsRoot';
interface IDocViewProps<D extends IDoc, P extends {} = {}> {
    document: D;
    className?: string;
}
export declare type DocsView<D extends IDoc, P extends {} = {}> = FC<IDocViewProps<D> & P>;
export interface IWrapper {
    wrapper?: 'naked' | 'paper';
}
export declare type DocsSorter<D> = (docA: D, docB: D) => number;
export interface IDocCollectionProps<D extends IDoc, P extends {}> extends IDocRootBaseProps<D, P>, IWrapper, IDocsCollectionTitleProps {
    collection: IColl<D>;
    filter?: (doc: D) => boolean;
    sort?: DocsSorter<D>;
    collapseHistoryStateKey?: string;
    fixedOpen?: boolean;
    showEmpty?: boolean;
}
export declare const DocsCollection: {
    <D extends IDoc, P extends {}>({ collection, filter, sort, collapseHistoryStateKey, fixedOpen, showEmpty, docsTitle, wrapper, classes, ...rest }: IDocCollectionProps<D, P>): JSX.Element | null;
    anyUiName: string;
};
export {};
