var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { useObserver } from 'mobx-react-lite';
import React from 'react';
import { DocsRoot } from './DocsRoot';
import { ExpansionList } from './ExpansionList';
import { TitledList } from './TitledList';
export const DocsCollection = (_a) => {
    var { collection, filter, sort, collapseHistoryStateKey, fixedOpen, showEmpty = false, docsTitle, wrapper = 'paper', classes } = _a, rest = __rest(_a, ["collection", "filter", "sort", "collapseHistoryStateKey", "fixedOpen", "showEmpty", "docsTitle", "wrapper", "classes"]);
    return useObserver(() => {
        let docs = filter ? collection.docs.filter(filter) : collection.docs;
        docs = sort ? docs.slice().sort(sort) : docs;
        const show = docs.length || showEmpty;
        if (!show) {
            return null;
        }
        const child = (React.createElement(DocsRoot, Object.assign({ docs: docs, hasHeader: !!docsTitle }, rest, { classes: classes })));
        return collapseHistoryStateKey ? (React.createElement(ExpansionList, { docsTitle: docsTitle, fixedOpen: fixedOpen, collapseHistoryStateKey: collapseHistoryStateKey, wrapper: wrapper, classes: classes }, child)) : (React.createElement(TitledList, { docsTitle: docsTitle, wrapper: wrapper, classes: classes }, child));
    });
};
DocsCollection.anyUiName = 'DocsCollection';
