import type { ClassNameMap } from "@material-ui/core/styles/withStyles";
import { ReactNode } from 'react';
import type { IDoc } from '../../docs';
import type { DocsView } from './DocsCollection';
export declare type DocsRootClassKey = 'root' | 'defaultView' | 'docsCollectionTitle' | 'divider';
export declare type DocRootClasses = Partial<ClassNameMap<DocsRootClassKey>>;
export interface IVariant {
    variant?: 'list' | 'grid';
}
export interface IDocClassesProps {
    classes?: DocRootClasses;
}
export interface IDocRootBaseProps<D extends IDoc, P extends {}> extends IDocClassesProps, IVariant {
    DefaultView: DocsView<D, P>;
    ViewProps?: any;
    className?: string;
    preItems?: ReactNode;
}
export interface IDocRootProps<D extends IDoc, P extends {}> extends IDocRootBaseProps<D, P> {
    docs: D[];
    hasHeader: boolean;
}
export declare const DocsRoot: <D extends IDoc, P extends {}>({ docs, DefaultView, ViewProps, hasHeader, variant, className, classes, preItems, }: IDocRootProps<D, P>) => JSX.Element;
