import Divider from '@material-ui/core/Divider';
import List from '@material-ui/core/List';
import { makeStyles } from '@material-ui/core/styles';
import clsx from 'clsx';
import { useObserver } from 'mobx-react-lite';
import React, { Fragment } from 'react';
const useStyles = makeStyles(theme => {
    return {
        grid: {
            display: 'grid',
            gridGap: theme.spacing(1),
        },
        padding: {
            '.wrapper-paper &': {
                padding: 0,
            },
        },
    };
});
export const DocsRoot = ({ docs, DefaultView, ViewProps, hasHeader, variant = 'list', className, classes = {}, preItems, }) => {
    const innerClasses = useStyles();
    return useObserver(() => (React.createElement(List, { component: "nav", className: clsx(`DocsCollection-${variant}`, `DocsRoot-root`, className), classes: {
            padding: innerClasses.padding,
            root: clsx({ [innerClasses.grid]: variant === 'grid' }, classes.root),
        } },
        preItems && preItems,
        docs.map((doc, i) => (React.createElement(Fragment, { key: doc.id },
            variant === 'list' && (hasHeader || i > 0) && (React.createElement(Divider, { className: classes.divider })),
            React.createElement(DefaultView, Object.assign({ document: doc }, (ViewProps ? ViewProps : {}), { className: clsx(classes.defaultView, `DocsRoot-defaultView`) }))))))));
};
