import { observer } from 'mobx-react-lite';
import React from 'react';
import DrawerItem from '../DrawerItem';
import DrawerList from '../DrawerList';
import DrawerTitle from '../DrawerTitle';
import { useDrawerToggle } from '../DrawerToggle';
import TemporaryDrawer from '../ResponsiveDrawer/TemporaryDrawer';
import ResponsiveTitle from '../ResponsiveTitle';
import { useSlotChildren } from '../slots';
import { drawerSlot } from './components/ContentSlot';
import { DrawerLogoContent } from './components/DrawerLogoSlot';
import { drawerTitleSlot } from './components/TitleSlot';
import { usePathActionSlotChildren } from '../navigation/usePathActionSlotChildren';
export const DrawerLayout = observer((drawerProps) => {
    const [open, toggleOpen] = useDrawerToggle();
    const drawerTitle = useSlotChildren(drawerTitleSlot);
    const { actions } = usePathActionSlotChildren(drawerSlot, DrawerItem);
    if (!actions.length) {
        return null;
    }
    return (React.createElement(TemporaryDrawer, Object.assign({ open: open, onClose: toggleOpen }, drawerProps),
        drawerTitle.length ? (React.createElement(DrawerTitle, { className: "Aui-hoverable" },
            React.createElement(DrawerLogoContent, null),
            React.createElement(ResponsiveTitle, { className: "AuiTitle SectionHeading DrawerTitle" }, drawerTitle))) : (React.createElement(React.Fragment, null)),
        React.createElement(DrawerList, { onClick: toggleOpen }, actions)));
});
export default DrawerLayout;
// <div className="Aui-hoverable" style={{border: '1px solid red'}}><DrawerLogoContent /></div>
