import React from 'react';
import { DrawerToggleProvider } from '../../DrawerToggle';
import { SlotsProvider } from '../../slots';
import { useToggle } from '../../toggle';
import { drawerSlot } from './ContentSlot';
import { drawerLogoSlot } from './DrawerLogoSlot';
import { drawerTitleSlot } from './TitleSlot';
export const AppDrawerProvider = ({ children }) => {
    const toggle = useToggle(false);
    return (React.createElement(SlotsProvider, { slots: [drawerSlot, drawerTitleSlot, drawerLogoSlot] },
        React.createElement(DrawerToggleProvider, { value: toggle }, children)));
};
export default AppDrawerProvider;
