import IconButton from '@material-ui/core/IconButton';
import Menu from '@material-ui/core/Menu';
import React, { useRef } from 'react';
import { mapPathActions } from '../Action';
import { MenuItem } from '../MenuItem';
import { useToggle } from '../toggle';
export const IconMenu = ({ Icon, children, }) => {
    const [open, toggleOpen] = useToggle(false);
    const anchorEl = useRef(null);
    return (React.createElement(React.Fragment, null,
        React.createElement(IconButton, { onClick: toggleOpen, buttonRef: anchorEl, "aria-owns": open ? 'menu-appbar' : undefined, "aria-haspopup": "true", color: "inherit" },
            React.createElement(Icon, null)),
        React.createElement(Menu, { id: "menu-appbar", open: open, onClose: toggleOpen, onClick: toggleOpen, anchorEl: anchorEl.current, anchorOrigin: {
                horizontal: 'right',
                vertical: 'top',
            }, transformOrigin: {
                horizontal: 'right',
                vertical: 'top',
            } }, mapPathActions(children, MenuItem))));
};
export default IconMenu;
