import React, { Component } from 'react';
import { PageError } from '../PageError';
export class ErrorBoundary extends Component {
    constructor() {
        super(...arguments);
        this.state = {
            error: null,
        };
    }
    static getDerivedStateFromError(error) {
        return { error };
    }
    render() {
        if (this.state.error) {
            return React.createElement(PageError, { error: this.state.error });
        }
        return this.props.children;
    }
}
