var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import Box from '@material-ui/core/Box';
import { makeStyles } from '@material-ui/core/styles';
import clsx from 'clsx';
import React from 'react';
import addClassNameToProps from '../utils/addClassNameToProps';
const useStyles = makeStyles(theme => ({
    grid: {
        display: 'grid',
        gridGap: ({ gap }) => theme.spacing(gap || 1),
    },
    hidden: {
        display: 'none',
    },
    root: {
        margin: '0 auto',
        width: '100%',
    },
}));
export const PageContent = (_a) => {
    var { hidden, grid, width, gap, className } = _a, props = __rest(_a, ["hidden", "grid", "width", "gap", "className"]);
    const classes = useStyles({ gap });
    return (React.createElement(Box, Object.assign({ maxWidth: width }, addClassNameToProps(props, 'PageContent', clsx(classes.root, { [classes.hidden]: hidden, [classes.grid]: grid }, className)))));
};
PageContent.defaultProps = {
    gap: 1,
    grid: false,
    hidden: false,
    width: '400px',
};
export default PageContent;
