import BottomNavigation from '@material-ui/core/BottomNavigation';
import { createStyles, withStyles } from '@material-ui/core/styles';
import { observer } from 'mobx-react-lite';
import React from 'react';
import { mapPathActions } from '../../Action';
import { primaryNavSlot } from '../../AppLayout';
import { locationStore } from '../../navigation';
import { usePathActionSlotChildren } from '../../navigation/usePathActionSlotChildren';
import { actionPropsMapper } from './actionPropsMapper';
import BottomNavAction from './BottomNavAction';
const styles = createStyles({
    root: {
        bottom: 0,
        flexGrow: 1,
        position: 'fixed',
        width: '100%',
    },
});
const BottomNavBase = observer(props => {
    const { actions, paths } = usePathActionSlotChildren(primaryNavSlot, BottomNavAction);
    if (!actions.length) {
        return null;
    }
    const selectedPath = paths.find(p => p === locationStore.currentTopRoutePath) || false;
    return (React.createElement(BottomNavigation, Object.assign({}, props, { value: selectedPath, showLabels: true }), mapPathActions(actions, BottomNavAction, actionPropsMapper)));
});
export const BottomNav = withStyles(styles, { name: 'MuiBottomNavigation' })(BottomNavBase);
