var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import Card from "@material-ui/core/Card";
import { createStyles, fade } from "@material-ui/core/styles";
import clsx from "clsx";
import React from "react";
import { withStylesAui } from "../styles";
import { capitalize } from "../utils/helpers";
// eslint-disable
const styles = (theme) => createStyles({
    root: {},
    deselected: {},
    selected: {
        background: theme.palette.action.selected,
    },
    selectable: {},
    colorInherit: {},
    colorDefault: {},
    colorPrimary: {
        color: theme.palette.primary.main,
        backgroundColor: fade(theme.palette.primary.main, theme.palette.action.hoverOpacity),
        '&.inverse': {
            backgroundColor: fade(theme.palette.secondary.main, theme.palette.action.hoverOpacity),
        },
    },
    colorSecondary: {
        color: theme.palette.secondary.main,
        backgroundColor: fade(theme.palette.secondary.main, theme.palette.action.hoverOpacity),
        '&.inverse': {
            backgroundColor: fade(theme.palette.primary.main, theme.palette.action.hoverOpacity),
        },
    },
});
const SelectableComponentBase = (_a) => {
    var { className, selected, isSelectable, classes: outerClasses, color } = _a, rest = __rest(_a, ["className", "selected", "isSelectable", "classes", "color"]);
    const classes = outerClasses;
    return (React.createElement(Card, Object.assign({ className: clsx(classes.root, {
            [classes.deselected]: !selected,
            // @ts-ignore
            [classes[`color${capitalize(color)}`]]: color !== 'default',
            [classes.selectable]: isSelectable,
            'Aui-Selectable': isSelectable,
            [classes.selected]: selected,
            'Mui-selected': selected,
        }, className) }, rest)));
};
export const SelectableComponent = withStylesAui(styles, {
    name: 'SelectableComponent',
})(SelectableComponentBase);
export default SelectableComponent;
SelectableComponent.defaultProps = {
    color: 'default',
    isSelectable: false,
    selected: false,
};
