var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { Route } from 'react-router';
export const SelectableRoute = (_a) => {
    var { path, exact, component: Component, children } = _a, props = __rest(_a, ["path", "exact", "component", "children"]);
    const childFunc = ({ match }) => {
        const selected = !!match;
        if (Component) {
            return (React.createElement(Component, Object.assign({}, props, { selected: selected, isSelectable: true })));
        }
        else {
            const child = React.Children.only(children);
            return React.cloneElement(child, Object.assign(Object.assign({}, props), { className: child.props.className, isSelectable: true, selected }));
        }
    };
    return (React.createElement(Route, { path: path, exact: exact, children: childFunc }));
};
export default SelectableRoute;
