import type { ThemeOptions } from '@material-ui/core/styles/createMuiTheme';
import type { CreateCSSProperties, CSSProperties } from "@material-ui/styles";
import type { CardSecondaryActionClassKey } from '../CardSecondaryAction/CardSecondaryAction';
import type { DocsCollectionTitleClassKey } from '../DocsCollection/components/DocsCollectionTitle';
import type { DocsHeaderClassKey } from '../DocsHeader/DocsHeader';
import type { ResponsiveTitleClassKey } from '../ResponsiveTitle/ResponsiveTitle';
import type { SelectableComponentClassKey } from '../SelectableCard';
import type { NamedAnyUiComponent } from '../utils';
export interface IThemeProvider {
    themeOptions?: ThemeOptions;
}
export declare type TStylesOverride<P extends object = {}> = CSSProperties | ((props: P) => CreateCSSProperties<P>);
export declare type TStylesGenerator<P extends object = {}> = (override?: TStylesOverride<P>) => (props: P) => CreateCSSProperties<P>;
declare module '@material-ui/core/styles/overrides' {
    interface ComponentNameToClassKey {
        AuiSelectableComponent: SelectableComponentClassKey;
        AuiDocsHeader: DocsHeaderClassKey;
        AuiDocsCollectionTitle: DocsCollectionTitleClassKey;
        AuiResponsiveTitle: ResponsiveTitleClassKey;
        AuiCardSecondaryAction: CardSecondaryActionClassKey;
    }
}
declare module '@material-ui/core/styles/createMixins' {
    interface ISize {
        height?: number;
    }
    interface Mixins {
        sizes: {
            bottomNav: ISize;
            tabbar: ISize;
            toolbar: ISize;
        };
    }
}
export declare const ThemeProvider: NamedAnyUiComponent<IThemeProvider>;
export default ThemeProvider;
