import { useTheme } from '@material-ui/core/styles';
import useMediaQuery from '@material-ui/core/useMediaQuery';
import React from 'react';
export const VisibleMobile = ({ children }) => {
    const theme = useTheme();
    const matches = useMediaQuery(theme.breakpoints.down('xs'));
    return matches ? React.createElement(React.Fragment, null, children) : null;
};
export const VisibleDesktop = ({ children }) => {
    const theme = useTheme();
    const matches = useMediaQuery(theme.breakpoints.up('sm'));
    return matches ? React.createElement(React.Fragment, null, children) : null;
};
export const Visible = {
    Desktop: VisibleDesktop,
    Mobile: VisibleMobile,
};
export default Visible;
