import flatten from "lodash/flatten";
export class Coll {
    constructor(docs) {
        this.docs = docs;
        this.isLoading = false;
    }
    get hasDocs() {
        return this.docs.length > 0;
    }
    static filter(collection, callbackfn) {
        return new Coll(collection.docs.filter(callbackfn));
    }
    static flatMap(collection, callbackfn) {
        return new Coll(flatten(collection.docs.map(callbackfn)));
    }
    static of(docs) {
        return new Coll(docs);
    }
}
export default Coll;
