import type { IColl, IDoc } from '../docs';
/**
 * An HttpsCallableResult wraps a single result from a function call.
 */
export interface HttpsCallableResult {
    readonly data: any;
}
export declare class HttpsCallableCollAdapter<D extends IDoc> implements IColl<D> {
    private readonly promiseFactory;
    private readonly mapper;
    private promise;
    constructor(promiseFactory: () => Promise<HttpsCallableResult>, mapper: (dataElement: any) => D);
    reload(): void;
    get isLoading(): boolean;
    get hasDocs(): boolean;
    get docs(): D[];
}
export default HttpsCallableCollAdapter;
