var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { computed, observable } from 'mobx';
import { fromPromise, FULFILLED, PENDING, } from 'mobx-utils';
export class HttpsCallableCollAdapter {
    constructor(promiseFactory, mapper) {
        this.promiseFactory = promiseFactory;
        this.mapper = mapper;
        this.promise = fromPromise(this.promiseFactory());
    }
    reload() {
        this.promise = fromPromise(this.promiseFactory(), this.promise);
    }
    get isLoading() {
        return this.promise.state === PENDING;
    }
    get hasDocs() {
        return !!this.docs.length;
    }
    get docs() {
        if (this.promise.state !== FULFILLED) {
            return [];
        }
        return this.promise.value.data.map(this.mapper);
    }
}
__decorate([
    observable,
    __metadata("design:type", Object)
], HttpsCallableCollAdapter.prototype, "promise", void 0);
__decorate([
    computed,
    __metadata("design:type", Boolean),
    __metadata("design:paramtypes", [])
], HttpsCallableCollAdapter.prototype, "isLoading", null);
__decorate([
    computed,
    __metadata("design:type", Boolean),
    __metadata("design:paramtypes", [])
], HttpsCallableCollAdapter.prototype, "hasDocs", null);
__decorate([
    computed,
    __metadata("design:type", Array),
    __metadata("design:paramtypes", [])
], HttpsCallableCollAdapter.prototype, "docs", null);
export default HttpsCallableCollAdapter;
