import { useCallback, useEffect, useState } from 'react';
import { browserHistory } from './navigation';
export function useHistoryState(key, initialValue) {
    const defaultValue = useCallback((location) => location.state && key in location.state
        ? location.state[key]
        : initialValue, [key, initialValue]);
    const [value, setLocalState] = useState(() => defaultValue(browserHistory.location));
    useEffect(() => browserHistory.listen((location) => {
        setLocalState(defaultValue(location));
    }), [defaultValue]);
    const setState = newValue => {
        browserHistory.replace(Object.assign(Object.assign({}, browserHistory.location), { state: Object.assign(Object.assign({}, (browserHistory.location.state || {})), { [key]: newValue }) }));
    };
    return [value, setState];
}
