var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { createBrowserHistory, } from 'history';
import assign from 'lodash/assign';
import flatten from 'lodash/flatten';
import { action, computed, observable } from 'mobx';
export const browserHistory = createBrowserHistory();
const basePush = browserHistory.push.bind(browserHistory);
const baseReplace = browserHistory.replace.bind(browserHistory);
const baseGoBack = browserHistory.goBack.bind(browserHistory);
const internalKey = Symbol('internalForward');
const canGoBackInternally = () => !!(browserHistory.location.state && browserHistory.location.state[internalKey]);
const markStateAsInternal = (state = {}) => (Object.assign(Object.assign({}, state), { [internalKey]: true }));
const maintainInternalState = (state) => canGoBackInternally() ? markStateAsInternal(state) : state;
const overrideHistory = {
    push(location, state = {}) {
        if (typeof location === 'string') {
            basePush(location, markStateAsInternal(state));
        }
        else {
            basePush(Object.assign(Object.assign({}, location), { state: markStateAsInternal(location.state) }));
        }
    },
    replace(location, state = {}) {
        if (typeof location === 'string') {
            baseReplace(location, maintainInternalState(state));
        }
        else {
            baseReplace(Object.assign(Object.assign({}, location), { state: maintainInternalState(location.state) }));
        }
    },
    goBack() {
        if (!canGoBackInternally()) {
            baseReplace(locationStore.isAtTopRoute ? '/' : locationStore.currentTopRoutePath);
            return;
        }
        baseGoBack();
    },
};
assign(browserHistory, overrideHistory);
class LocationStore {
    constructor() {
        this.path = browserHistory.location.pathname;
        this.keyMapTopRoutePaths = new Map();
        this.nextKey = 1;
        this.isCurrentTopRoute = (path) => {
            return this.currentTopRoutePath === path;
        };
        browserHistory.listen(action((location) => {
            this.path = location.pathname;
        }));
    }
    get isAtTopRoute() {
        return this.topRoutePaths.includes(this.path);
    }
    get currentTopRoutePath() {
        let bestAncestor = '/';
        this.topRoutePaths.forEach(p => {
            if (p.length <= bestAncestor.length) {
                return;
            }
            if (p === this.path) {
                bestAncestor = p;
            }
            else if (this.path.startsWith(`${p}/`)) {
                bestAncestor = p;
            }
        });
        return bestAncestor;
    }
    get topRoutePaths() {
        const result = flatten([...this.keyMapTopRoutePaths.values()]);
        if (!result.includes('/')) {
            result.push('/');
        }
        return result;
    }
    addTopRoutePaths(topRoutePaths) {
        const key = this.nextKey;
        this.nextKey += 1;
        this.keyMapTopRoutePaths.set(key, topRoutePaths);
        return () => {
            this.keyMapTopRoutePaths.delete(key);
        };
    }
}
__decorate([
    observable,
    __metadata("design:type", Object)
], LocationStore.prototype, "path", void 0);
__decorate([
    computed,
    __metadata("design:type", Boolean),
    __metadata("design:paramtypes", [])
], LocationStore.prototype, "isAtTopRoute", null);
__decorate([
    computed,
    __metadata("design:type", String),
    __metadata("design:paramtypes", [])
], LocationStore.prototype, "currentTopRoutePath", null);
__decorate([
    observable,
    __metadata("design:type", Map)
], LocationStore.prototype, "keyMapTopRoutePaths", void 0);
__decorate([
    computed,
    __metadata("design:type", Array),
    __metadata("design:paramtypes", [])
], LocationStore.prototype, "topRoutePaths", null);
__decorate([
    action,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Array]),
    __metadata("design:returntype", Function)
], LocationStore.prototype, "addTopRoutePaths", null);
export const locationStore = new LocationStore();
