import { useEffect } from 'react';
import { extractPathActions } from '../Action';
import { useSlotChildren } from '../slots';
import { locationStore } from './navigation';
export const usePathActionSlotChildren = (slot, Component) => {
    const actions = useSlotChildren(slot);
    const paths = extractPathActions(actions, Component)
        .map(element => element.props.path)
        .filter(path => !!path);
    useEffect(() => locationStore.addTopRoutePaths(paths), [actions, Component]);
    return { actions, paths };
};
