import { memo, useContext, useEffect } from 'react';
export const Slot = memo(({ slot: context, children }) => {
    const slot = useContext(context);
    useEffect(() => {
        if (slot) {
            slot.setChild(children);
        }
    });
    useEffect(() => {
        if (slot) {
            return () => {
                slot.removeChild();
            };
        }
        return;
    }, [slot]);
    return null;
});
