import { observer } from 'mobx-react-lite';
import React, { isValidElement, useContext } from 'react';
export const SlotContent = observer(({ slot: slotContext, name, children }) => {
    const slot = useContext(slotContext);
    if (!slot) {
        throw new Error(`Null slot (${name ||
            'un-named'}), have you forgotten to use provider?`);
    }
    const slotChild = slot.child;
    if (!slotChild) {
        return typeof children === 'function' ? children() : React.createElement(React.Fragment, null, children);
    }
    const content = isValidElement(slotChild) ? slotChild : React.createElement(React.Fragment, null, slotChild);
    return typeof children === 'function' ? children(content) : content;
});
