import React from 'react';
import { useStoreClass } from '../store';
import { SlotStore } from './slotStore';
export const SlotsProvider = ({ children, slots }) => {
    const wrapped = slots.reduceRight((currentChildren, SlotCtx) => {
        const store = useStoreClass(SlotStore);
        return React.createElement(SlotCtx.Provider, { value: store }, currentChildren);
    }, children);
    return React.createElement(React.Fragment, null, wrapped);
};
