import castArray from 'lodash/castArray';
import { useContext } from 'react';
export const useSlotChildren = (slot) => {
    const store = useContext(slot);
    if (!store) {
        throw new Error('Null slot, have you forgotten to use provider?');
    }
    if (!store.child) {
        return [];
    }
    return castArray(store.child);
};
