import { useRef } from 'react';
const arraysShallowEqual = (a, b) => {
    if (a.length !== b.length) {
        return false;
    }
    for (let i = 0; i < a.length; i += 1) {
        if (!Object.is(a[i], b[i])) {
            return false;
        }
    }
    return true;
};
export function useDerivedState(factory, deps = []) {
    const prevDepsRef = useRef([]);
    const storeRef = useRef(null);
    if (!storeRef.current || !arraysShallowEqual(prevDepsRef.current, deps)) {
        storeRef.current = factory();
        prevDepsRef.current = deps;
    }
    return storeRef.current;
}
export const useStoreClass = (StoreClass, ...args) => useDerivedState(() => new StoreClass(...args), args);
