import type { Theme } from '@material-ui/core/styles'
import MuiToolbar, { ToolbarProps } from '@material-ui/core/Toolbar'
import { createStyles } from '@material-ui/core/styles'
import React from 'react'
import { withStylesAui } from '../styles'

export type ActionsBarProps = ToolbarProps
// eslint-disable
const styles = (theme: Theme) =>
  createStyles({
    root: {
      '& :first-child': {
        marginLeft: 0,
      },
      '& button': {
        marginLeft: theme.spacing(2),
      },
      alignItem: 'center',
      justifyContent: 'flex-end',
    },
  })

export const ActionsBar = withStylesAui<any>(styles, {
  name: 'ActionsBar',
})(MuiToolbar)
export default ActionsBar

ActionsBar.defaultProps = {}
