import { ArrowBack } from '@material-ui/icons'
import React, { FC } from 'react'
import {browserHistory} from '../navigation'
import { ToolBarIconButton } from '../ToolBarIconButton'
import type {IToolBarIconButtonProps} from '../ToolBarIconButton/ToolBarIconButton'


export const AppBackButton: FC<IToolBarIconButtonProps> = ({hideDesktop}) => (
  <ToolBarIconButton
    color="inherit"
    aria-label="Go back"
    onClick={browserHistory.goBack}
    hideDesktop={hideDesktop}
  >
    <ArrowBack />
  </ToolBarIconButton>
)
export default AppBackButton