import Toolbar from '@material-ui/core/Toolbar'
import React, { FC } from 'react'
import { AppBarBase, IAppBarProps } from './AppBarBase'

export const AppBar: FC<IAppBarProps> = ({
  variant = 'elevation',
  color = 'default',
  position = 'fixed',
  children,
  ...rest
}) => {
  return (
    <AppBarBase color={color} position={position} variant={variant} {...rest}>
      <Toolbar disableGutters>{children}</Toolbar>
    </AppBarBase>
  )
}
export default AppBar
