import MuiAppBar, { AppBarProps as MuiABProps } from '@material-ui/core/AppBar'
import type { Theme } from '@material-ui/core/styles'
import { makeStyles } from '@material-ui/core/styles'
import clsx from 'clsx'
import React, { FC } from 'react'
import addClassNameToProps from '../utils/addClassNameToProps'

export type IAppBarProps = MuiABProps

const useStyles = makeStyles<Theme>(theme => {
  return {
    root: {
      ...theme.mixins.gutters(),
      left: 0,
    },
  }
})

export const AppBarBase: FC<IAppBarProps> = ({ ...props }) => {
  const classes = useStyles()
  return (
    <MuiAppBar
      classes={{
        root: clsx(classes.root),
      }}
      {...addClassNameToProps(props, 'AppBarBase')}
    />
  )
}
