import React, { FC } from 'react'
import { SlotsProvider } from '../../slots'
import { appBarLogoSlot } from './AppBarLogoSlot'
import { appBarMenuSlot } from './AppBarMenuSlot'
import { appBarRightSlot } from './AppBarRightSlot'
import { appContentSlot } from './AppContentSlot'
import { appTitleSlot, appTitleSlotOverride } from './AppTitleSlot'
import { mobileFabSlot } from './MobileFabSlot'
import { primaryNavSlot } from './PrimaryNavSlot'

export const AppSlotsProvider: FC = ({ children }) => (
  <SlotsProvider
    slots={[
      primaryNavSlot,
      appBarLogoSlot,
      appBarMenuSlot,
      appBarRightSlot,
      appTitleSlot,
      appTitleSlotOverride,
      mobileFabSlot,
      appContentSlot,
    ]}
  >
    {children}
  </SlotsProvider>
)
export default AppSlotsProvider