import Fab from '@material-ui/core/Fab'
import React from 'react'
import type { FC, ReactElement } from 'react'
import type { IAction } from '../../Action'
import { FabBox } from '../../Atoms'
import { createSlot, createSlotConsumer, SlotContent } from '../../slots'

export const mobileFabSlot = createSlot()
export const MobileFab = createSlotConsumer(mobileFabSlot)
export const RenderMobileFab: FC = () => (
  <FabBox>
    <SlotContent slot={mobileFabSlot}>
      {(action: ReactElement<IAction>) => {
        if (!action) {
          return null
        }
        const { onClick, Icon } = action.props
        if (!onClick || !Icon) {
          return null
        }
        return (
          <Fab onClick={onClick} color="primary">
            {Icon && <Icon />}
          </Fab>
        )
      }}
    </SlotContent>
  </FabBox>
)
export default MobileFab
