import CssBaseline from '@material-ui/core/CssBaseline'
import type { History } from 'history'
import React, { FC } from 'react'
import { Router } from 'react-router'
import { ConfirmProvider } from '../Confirm'
import { browserHistory } from '../navigation'
import ThemeProvider, { IThemeProvider } from '../Theme'

import { configure } from 'react-hotkeys'

configure({
  allowCombinationSubmatches: true,
  defaultKeyEvent: 'keypress',
  ignoreTags: ['textarea'],
})

export interface IApp extends IThemeProvider {
  browserHistory?: History
}

export const AppProviders: FC<IApp> = ({
  themeOptions,
  browserHistory: outerHistory,
  children,
}) => {
  return (
    <ThemeProvider themeOptions={themeOptions}>
      <CssBaseline />
      <Router history={outerHistory || browserHistory}>
        <ConfirmProvider>{children}</ConfirmProvider>
      </Router>
    </ThemeProvider>
  )
}
export default AppProviders
