import Box from '@material-ui/core/Box'
import type { Theme } from '@material-ui/core/styles'
import { makeStyles } from '@material-ui/core/styles'
import { default as React, FC } from 'react'
import type { AuiStandardProps } from '../types'
import addClassNameToProps from '../utils/addClassNameToProps'

const useStyles = makeStyles<Theme>(theme => {
  return {
    root: {
      bottom: `calc(56px + ${theme.spacing(2)}px)`,
      display: 'inline-block',
      position: 'fixed',
      right: theme.spacing(2),
    },
  }
})

export const FabBox: FC<AuiStandardProps> = props => {
  const classes = useStyles()
  return <Box {...addClassNameToProps(props, 'FabBox', classes.root)} />
}
export default FabBox
