import type { IconButtonClassKey } from '@material-ui/core/IconButton'
import { createStyles } from '@material-ui/core/styles'
import React from 'react'
import { withStylesAui } from '../styles'
import CardActionsBarBase from './CardActionsBarBase'

// TODO: Theme Override
export type CardActionsBarClassKey = IconButtonClassKey

const styles = createStyles({
  root: {
    '& *': {
      pointerEvents: 'all',
    },
    pointerEvents: 'none',
    position: 'absolute',
    transform: 'translateY(-52px)',
    width: '100%',
  },
})

export const CardActionsBar = withStylesAui(styles, {
  name: 'CardActionsBar',
})(CardActionsBarBase)

export default CardActionsBar
