import React, { ComponentType, FC } from 'react'
import { IConfirmData, useConfirmContext } from './components/ConfirmContext'

export interface IComponent<C = any> {
  component: ComponentType<C>
}

export const Confirm: FC<IComponent<IConfirmData>> = ({
  component: ConfirmComponent,
  ...rest
}) => {
  const { data } = useConfirmContext()
  return data && <ConfirmComponent {...data} {...rest} />
}
