import DialogContent from '@material-ui/core/DialogContent'
import DialogContentText from '@material-ui/core/DialogContentText'
import DialogTitle from '@material-ui/core/DialogTitle'
import React, { FC } from 'react'
import ConfirmActions from '../../ConfirmActions'
import type { IConfirmData } from './ConfirmContext'

export const ConfirmContent: FC<IConfirmData & { titleId?: string }> = ({
  message,
  onConfirm,
  onCancel,
  title,
  titleId,
}) => {
  return (
    <>
      {title && <DialogTitle id={titleId}>{title}</DialogTitle>}
      <DialogContent>
        <DialogContentText tabIndex={0}>{message}</DialogContentText>
      </DialogContent>
      <ConfirmActions
        onCancel={onCancel}
        onConfirm={onConfirm}
        cancelProps={{ label: 'No' }}
        confirmProps={{ label: 'Yes' }}
      />
    </>
  )
}
export default ConfirmContent
