import { createContext, Dispatch, SetStateAction, useContext } from 'react'
import type { IConfirmActions } from '../../ConfirmActions'

export interface IConfirmData extends IConfirmActions {
  anchorEl?: null | HTMLElement | ((element: HTMLElement) => HTMLElement)
  title?: string
  message: string
}

export interface IConfirmContext {
  data: IConfirmData | null
  setData: Dispatch<SetStateAction<IConfirmData | null>>
}

export const ConfirmContext = createContext<IConfirmContext>({
  data: null,
  setData: () => {
    // ignore
  },
})
export const useConfirmContext = () => useContext(ConfirmContext)
