import Dialog, { DialogProps } from '@material-ui/core/Dialog'
import React, { FC } from 'react'
import { confirmKeyHandlers } from '../../ConfirmActions'
import ConfirmContent from './ConfirmContent'
import type { IConfirmData } from './ConfirmContext'

export const ConfirmDialog: FC<IConfirmData & Partial<DialogProps>> = ({
  message,
  onConfirm,
  onCancel,
  title,
  ...rest
}) => {
  return (
    <Dialog
      open={!!message}
      onKeyDown={confirmKeyHandlers(onConfirm, onCancel)}
      maxWidth="xs"
      aria-labelledby={title ? 'confirmation-dialog-title' : undefined}
      {...rest}
    >
      <ConfirmContent
        message={message}
        onConfirm={onConfirm}
        onCancel={onCancel}
        title={title}
        titleId="confirmation-dialog-title"
      />
    </Dialog>
  )
}
export default ConfirmDialog
