import React, { FC, useState } from 'react'
import { Confirm, IComponent } from '../Confirm'
import { ConfirmContext, IConfirmData } from './ConfirmContext'
import ConfirmDialog from './ConfirmDialog'

export const ConfirmProvider: FC<Partial<IComponent<IConfirmData>>> = ({
  children,
  component = ConfirmDialog,
  ...rest
}) => {
  const [data, setData] = useState<IConfirmData | null>(null)
  return (
    <ConfirmContext.Provider
      value={{
        data,
        setData,
      }}
      {...rest}
    >
      {children}
      <Confirm component={component} />
    </ConfirmContext.Provider>
  )
}
