import { IConfirmData, useConfirmContext } from './components/ConfirmContext'

export const useConfirm = ({ onCancel, onConfirm, ...rest }: IConfirmData) => {
  const { setData } = useConfirmContext()
  return () => {
    setData({
      onCancel: () => {
        setData(null)
        if (onCancel) {
          onCancel()
        }
      },
      onConfirm: () => {
        setData(null)
        onConfirm()
      },
      ...rest,
    })
  }
}

export default useConfirm
