import React, {FC} from 'react'
import {withHotKeys} from 'react-hotkeys'

const keyMap = {
  ENTER: 'Enter',
  ESC: 'Escape',
}

interface IHotKeyHandlers {
  onConfirm: (keyEvent?: KeyboardEvent) => void
  onCancel?: (keyEvent?: KeyboardEvent) => void
}


const HotKeysElement: FC<{hotKeys: any}> = ({hotKeys, children, ...remainingProps}) => <div {...{ ...hotKeys, ...remainingProps }} style={{outline: 0}}>
  {children}
</div>

// @ts-ignore
const HotKeysComponent = withHotKeys(HotKeysElement)


export const ConfirmHotKeys: FC<IHotKeyHandlers> = ({
  children: outerChildren,
  onConfirm,
  onCancel = () => {
    //
  },
}) => {
  const handlers = {
    ENTER: onConfirm,
    ESC: onCancel,
  }
  return (
    // @ts-ignore
    <HotKeysComponent keyMap={keyMap} handlers={handlers}>{outerChildren}</HotKeysComponent>
  )
}
export default ConfirmHotKeys
