import ExpansionPanelSummary from '@material-ui/core/ExpansionPanelSummary'
import ExpandMoreIcon from '@material-ui/icons/ExpandMore'
import React, { FC } from 'react'
import { ExpansionPanel, IExpansionPanelProps } from '../../ExpansionPanel'
import type { IWrapper } from './DocsCollection'
import {
  DocsCollectionTitle,
  IDocsCollectionTitleProps,
} from './DocsCollectionTitle'
import type { DocRootClasses } from './DocsRoot'

interface IExpansionListProps extends IDocsCollectionTitleProps, IWrapper {
  classes?: DocRootClasses
}

export const ExpansionList: FC<IExpansionListProps & IExpansionPanelProps> = ({
  docsTitle,
  fixedOpen = false,
  children,
  classes = {},
  wrapper,
  ...rest
}) => (
  <ExpansionPanel fixedOpen={fixedOpen} naked={wrapper === 'naked'} {...rest}>
    <ExpansionPanelSummary expandIcon={!fixedOpen && <ExpandMoreIcon />}>
      <DocsCollectionTitle
        docsTitle={docsTitle}
        className={classes.docsCollectionTitle}
      />
    </ExpansionPanelSummary>
    {children}
  </ExpansionPanel>
)
