import ListSubheader from '@material-ui/core/ListSubheader'
import MuiPaper, { PaperProps } from '@material-ui/core/Paper'
import type { Theme } from '@material-ui/core/styles'
import { makeStyles } from '@material-ui/core/styles'
import React, { FC } from 'react'
import type { IWrapper } from './DocsCollection'
import {
  DocsCollectionTitle,
  IDocsCollectionTitleProps,
} from './DocsCollectionTitle'
import type { IDocClassesProps } from './DocsRoot'

const useStyles = makeStyles<Theme>(theme => ({
  root: {
    padding: `${theme.spacing(1)}px 0`,
  },
}))
const Paper: FC<PaperProps> = props => {
  const classes = useStyles()
  return (
    <div className={classes.root}>
      <MuiPaper className="wrapper-paper" {...props} />
    </div>
  )
}

export const TitledList: FC<IDocClassesProps &
  IDocsCollectionTitleProps &
  IWrapper> = ({ children, docsTitle, wrapper, classes = {} }) => {
  const Wrapper = wrapper === 'naked' ? React.Fragment : Paper
  return (
    <Wrapper>
      <DocsCollectionTitle
        docsTitle={docsTitle}
        component={ListSubheader}
        className={classes.docsCollectionTitle}
      />
      {children}
    </Wrapper>
  )
}
