import type { ListItemProps } from '@material-ui/core/ListItem'
import { useObserver } from 'mobx-react-lite'
import React from 'react'
import type { IPathAction } from '../Action'
import { locationStore } from '../navigation'
import NavItem from '../NavItem'
import type { NamedAnyUiComponent } from '../utils'

interface IProps extends ListItemProps, IPathAction {}

export const DrawerItem: NamedAnyUiComponent<IProps> = ({
  root,
  path,
  ...rest
}) =>
  useObserver(() => (
    <NavItem
      comp="list"
      button
      selected={locationStore.isCurrentTopRoute(path)}
      path={path}
      {...rest}
    />
  ))

DrawerItem.anyUiName = 'DrawerItem'

export default DrawerItem
