import React, { FC } from 'react'
import { DrawerToggleProvider } from '../DrawerToggle'
import { SlotsProvider } from '../slots'
import { useToggle } from '../toggle'
import { drawerSlot } from './ContentSlot'
import { drawerTitleSlot } from './TitleSlot'

export const AppDrawerProvider: FC = ({ children }) => {
  const toggle = useToggle(false)
  return (
    <SlotsProvider slots={[drawerSlot, drawerTitleSlot]}>
      <DrawerToggleProvider value={toggle}>{children}</DrawerToggleProvider>
    </SlotsProvider>
  )
}
export default AppDrawerProvider
