import React, {FC} from 'react'
import {DrawerToggleProvider} from '../../DrawerToggle'
import {SlotsProvider} from '../../slots'
import {useToggle} from '../../toggle'
import {drawerSlot} from './ContentSlot'
import {drawerLogoSlot} from './DrawerLogoSlot'
import {drawerTitleSlot} from './TitleSlot'

export const AppDrawerProvider: FC = ({ children }) => {
  const toggle = useToggle(false)
  return (
    <SlotsProvider slots={[drawerSlot, drawerTitleSlot, drawerLogoSlot]}>
      <DrawerToggleProvider value={toggle}>{children}</DrawerToggleProvider>
    </SlotsProvider>
  )
}
export default AppDrawerProvider
