import React, {FC} from 'react'
import {ContentPaper, PageContent} from '../PageContent'
import type {IPageContentProps} from '../PageContent/PageContent'
import {PageLoading} from '../PageLoading'
import {PageTitle} from '../PageTitle'

interface IProps extends IPageContentProps {
  isLoading?: boolean
  heading?: string
  paper?: boolean
}

export const EditPage: FC<IProps> = ({ isLoading, heading, children, paper, ...rest }) => {
  const Wrapper = paper ? React.Fragment : ContentPaper
  return (
    <PageContent {...rest}>
      {heading  && <PageTitle gutterBottom>{heading}</PageTitle>}
      {isLoading ? <PageLoading /> : <Wrapper>{children}</Wrapper>}
    </PageContent>
  )
}

EditPage.defaultProps ={
  isLoading: false,
  paper: false,
}

export default EditPage
