import MuiListItem, { ListItemProps } from '@material-ui/core/ListItem'
import { withStyles } from '@material-ui/core/styles'
import clsx from 'clsx'
import React, { FC } from 'react'

export const SHOW_ON_LIST_ITEM_HOVER = 'showOnListItemHover'

const styles = {
  root: {
    [`& .${SHOW_ON_LIST_ITEM_HOVER}`]: {
      opacity: 0,
      transition: 'oxacity ease-out 250ms',
    },
    [`&:hover .${SHOW_ON_LIST_ITEM_HOVER}`]: {
      opacity: 1,
    },
  },
}

export const ListItemBase: FC<ListItemProps> = ({
  classes = {},
  className,
  ...props
}) => {
  return (
    // @ts-ignore
    <MuiListItem
      // ContainerProps={{ ...ContainerProps, className: classes.root }}
      className={clsx('Aui-ListItem', className)}
      {...props}
    />
  )
}

export const ListItem = withStyles(styles, { name: 'MuiListItem' })(
  ListItemBase,
)

export default ListItem
// @ts-ignore
ListItem.muiName = MuiListItem.muiName
