import { useObserver } from 'mobx-react-lite'
import React, { FC, ReactElement } from 'react'
import { AppBackButton } from '../AppBackButton'
import {locationStore} from '../navigation'

interface ILocationAwareMenuButtonProps {
  children: ReactElement<any>
}

export const LocationAwareMenuButton: FC<ILocationAwareMenuButtonProps> = ({
  children,
}) =>
  useObserver(() =>
    locationStore.isAtTopRoute ? children : <AppBackButton />,
  )
export default LocationAwareMenuButton