import React, { Component } from 'react'
import { PageError } from '../PageError'

interface IState {
  error: any
}

export class ErrorBoundary extends Component<{}, IState> {
  public static getDerivedStateFromError(error: any): Partial<IState> {
    return { error }
  }

  public state: IState = {
    error: null,
  }

  public render() {
    if (this.state.error) {
      return <PageError error={this.state.error} />
    }
    return this.props.children
  }
}
