import React, {ElementType, FC, Suspense} from 'react'
import {PageLoading} from '../PageLoading'
import type {AuiStandardProps} from '../types'
import {ErrorBoundary} from './ErrorBoundary'
import {Wrapper} from './Wrapper'

interface IProps {
  noSuspense?: boolean
  loadingComponent?: ElementType
}
export const PageContainer: FC<AuiStandardProps & IProps> = ({
  children,
  noSuspense,
  loadingComponent: Loading = PageLoading,
}) => (
  <Wrapper>
    <ErrorBoundary>
      {noSuspense ? children : <Suspense fallback={<Loading />}>{children}</Suspense>}
    </ErrorBoundary>
  </Wrapper>
)
export default PageContainer
