import Box from '@material-ui/core/Box'
import type { Theme } from '@material-ui/core/styles'
import { makeStyles } from '@material-ui/core/styles'
import React, { FC } from 'react'
import addClassNameToProps from '../utils/addClassNameToProps'

const useStyles = makeStyles<Theme>(theme => {
  return {
    root: {
      margin: 0,
      [theme.breakpoints.up('sm')]: {
        margin: theme.spacing(3),
      },
    },
  }
})
export const Wrapper: FC = props => {
  const classes = useStyles()
  return (
    <Box
      {...addClassNameToProps(props, 'PageContainerWrapper', classes.root)}
    />
  )
}
