import Paper, { PaperProps } from '@material-ui/core/Paper'
import type { Theme } from '@material-ui/core/styles'
import { makeStyles } from '@material-ui/core/styles'
import React, { FC } from 'react'
import addClassNameToProps from '../utils/addClassNameToProps'

const useStyles = makeStyles<Theme>(theme => {
  return {
    root: {
      padding: theme.spacing(2),
    },
  }
})

export const ContentPaper: FC<PaperProps> = props => {
  const classes = useStyles()
  return <Paper {...addClassNameToProps(props, 'ContentPaper', classes.root)} />
}
