import Typography from '@material-ui/core/Typography'
import Refresh from '@material-ui/icons/Refresh'
import React, { FC } from 'react'
import { PageHeaderAction } from '../PageHeaderAction'
import * as log from '../utils/log'

interface IProps {
  error?: Error | string
}

const refresh = () => window.location.reload()

export const PageError: FC<IProps> = ({ error }) => {
  log.dev(error)
  return (
    <>
      <PageHeaderAction label="Refresh" onClick={refresh} Icon={Refresh} />
      <Typography variant="h6" color="error" align="center">
        {(typeof error === 'string' && error) || 'Oops, something wrong'}
      </Typography>
    </>
  )
}
export default PageError
