import IconButton from '@material-ui/core/IconButton'
import type { SvgIconProps } from '@material-ui/core/SvgIcon'
import React, { ComponentType, FC } from 'react'

export interface IActionStyleProps {
  atFront?: boolean
}

interface IProps extends IActionStyleProps {
  onClick: () => void
  label: string
  Icon: ComponentType<SvgIconProps>
}

export const PageHeaderAction: FC<IProps> = ({
  onClick,
  label,
  Icon,
  atFront = false,
}) => (
  <span style={atFront ? { marginRight: '0.5em' } : { marginLeft: '0.5em' }}>
    <IconButton
      onClick={onClick}
      aria-label={label}
      style={{
        padding: '0.1em',
        verticalAlign: 'top',
      }}
    >
      <Icon fontSize="large" />
    </IconButton>
  </span>
)
export default PageHeaderAction
