import clsx from 'clsx'
import React from 'react'
import { AppTitleOverride } from '../AppLayout'
import ResponsiveTitle from '../ResponsiveTitle'
import type { IResponsiveTitleProps } from '../ResponsiveTitle/ResponsiveTitle'
import { Visible } from '../Visibility'

export const PageTitle = ({
  className,
  gutterBottom,
  children,
}: IResponsiveTitleProps) => (
  <>
    <Visible.Mobile>
      <AppTitleOverride>
        <>{children}</>
      </AppTitleOverride>
    </Visible.Mobile>
    <Visible.Desktop>
      <ResponsiveTitle
        className={clsx('PageTitle', className)}
        gutterBottom={gutterBottom}
      >
        {children}
      </ResponsiveTitle>
    </Visible.Desktop>
  </>
)
export default PageTitle
PageTitle.anyUiName = 'PageTitle'
