import Badge, { BadgeProps } from '@material-ui/core/Badge'
import { observer } from 'mobx-react-lite'
import React, { FC } from 'react'

interface IProps extends BadgeProps {
  badge: () => number | number
}
export const NavBadge: FC<IProps> = observer(({ badge, ...props }) => {
  return (
    <Badge
      badgeContent={typeof badge === 'function' ? badge() : badge}
      {...props}
    />
  )
})



export default NavBadge