import React, { PropsWithChildren } from 'react'
import type {BadgeValue, IPathAction} from '../../Action/Action'
import { navigateToPath } from '../../NavItem/NavItem'
import NavBadge from './NavBadge'

const makeBadge = (children: React.ReactNode, badge?: BadgeValue) =>
  badge ? (
    <NavBadge badge={badge} color="error">
      {children}
    </NavBadge>
  ) : (
    children
  )

export const actionPropsMapper = ({
  badge,
  children,
  Icon: BaseIcon,
  path,
  root,
  ...other
}: PropsWithChildren<IPathAction>) => {
  const Icon = BaseIcon ? <BaseIcon /> : <></>
  return {
    icon: makeBadge(Icon, badge),
    label: children,
    onClick: navigateToPath(path, root),
    path,
    value: path,
    ...other,
  }
}
