import React from 'react'
import {
  Route,
  RouteComponentProps as RRCProps,
  RouteProps as RRProps,
} from 'react-router'

type RouteProps<P> = RRProps & P

export function PropsRoute<P = {}>({
  component: Component,
  render,
  ...clientProps
}: RouteProps<P>) {
  const renderHandler = (routeComponentProps: RRCProps) => {
    const combinedProps = { ...clientProps, ...routeComponentProps }
    if (Component) {
      return <Component {...combinedProps} />
    }
    if (render) {
      return render(combinedProps)
    }
    return null
  }
  return <Route {...clientProps} render={renderHandler} />
}

export default PropsRoute
