import React, { FC } from 'react'
import type { IDrawerProps } from '../Drawer/Drawer'
import { Visible } from '../Visibility'
import PermanentDrawer from './PermanentDrawer'
import TemporaryDrawer from './TemporaryDrawer'

export const ResponsiveDrawer: FC<IDrawerProps> = props => (
  <>
    <Visible.Mobile>
      <TemporaryDrawer {...props} />
    </Visible.Mobile>
    <Visible.Desktop>
      <PermanentDrawer {...props} />
    </Visible.Desktop>
  </>
)
export default ResponsiveDrawer
