import clsx from 'clsx'
import React, { FC, memo } from 'react'
import ResponsiveTitle from '../ResponsiveTitle'
import type { IResponsiveTitleProps } from '../ResponsiveTitle/ResponsiveTitle'

const SubTitleBase: FC<IResponsiveTitleProps> = ({
  children,
  className,
  ...rest
}) => (
  <ResponsiveTitle
    mobile="subtitle2"
    desktop="subtitle1"
    className={clsx('SubTitle', className)}
    {...rest}
  >
    <>{children}</>
  </ResponsiveTitle>
)

export const SubTitle = memo(SubTitleBase)
export default SubTitle