import { useTheme } from '@material-ui/core/styles'
import useMediaQuery from '@material-ui/core/useMediaQuery'
import React, { FC } from 'react'

export const VisibleMobile: FC = ({ children }) => {
  const theme = useTheme()
  const matches = useMediaQuery(theme.breakpoints.down('xs'))
  return matches ? <>{children}</> : null
}

export const VisibleDesktop: FC = ({ children }) => {
  const theme = useTheme()
  const matches = useMediaQuery(theme.breakpoints.up('sm'))
  return matches ? <>{children}</> : null
}

export const Visible = {
  Desktop: VisibleDesktop,
  Mobile: VisibleMobile,
}
export default Visible
