import type { AuiStandardProps } from './types'
export type {AuiStandardProps}

// ===================================================
// Actions
import * as navigation from './navigation'
export { navigation }
export { default as PathAction } from './Action'
import * as Action from './Action'
export { Action }
export { BottomNav, TopNav } from './PrimaryNav'

// ===================================================
// App
export { ActionsBar } from './ActionsBar'
// ===================================================
// App
export { default as AppProviders } from './AppProviders'
export { default as AppBar } from './AppBar'
export {
  AppBarLogo,
  AppTitle,
  AppLayout,
  AppContent,
  PrimaryNav,
  AppBarMenu,
  AppBarRight,
  AppTitleOverride,
  MobileFab,
} from './AppLayout'
export { default as AppBackButton } from './AppBackButton'

export {
  EmptyResult,
  FabBox,
  FlexRoot,
  FullHeight,
  Grow,
  Hidden,
} from './Atoms'
import * as Atoms from './Atoms'
export { Atoms }

// ===================================================
// Cards

export { default as CardAvatar } from './CardAvatar'
export { default as CardActionsBar } from './CardActionsBar'
export { default as CardActionIconButton } from './CardActionIconButton'
export { default as CardSecondaryAction } from './CardSecondaryAction'
export { default as DataCard } from './DataCard'
export {
  default as SelectableCard,
  ISelectableComponentProps,
} from './SelectableCard'

// ===================================================
// Confirm

export { default as useConfirm, ConfirmProvider } from './Confirm'
export { ConfirmActions, IConfirmActionProps, ConfirmActionsProps } from './ConfirmActions'
export { default as ConfirmHotKeys } from './ConfirmHotKeys'

// ===================================================
// Dialog

export {
  useDialog,
  Dialog,
  TDialogConfirmAction,
  TDialogBaseProps,
  TDialogComponent,
  IDialogState,
  TUseDialog,
} from './Dialog'
// ===================================================
// Docs

export { IColl, IDoc, Coll } from './docs'
export {
  DocsGrid,
  DocsList,
  DocsSorter,
  DocsView,
  DocsRootClassKey,
  IDocClassesProps,
  IDocCollectionProps,
} from './DocsCollection'
export { default as DocsEmpty } from './DocsEmpty'
export { default as DocsHeader } from './DocsHeader'
export { default as DocsLayout, DocsLoading } from './DocsLayout'
// export { DocsCollection, IVariant, DocRootClasses, DocsCollectionTitle,  DocsRoot,   IDocCollectionProps, IDocRootBaseProps, IDocRootProps, IWrapper } from './DocsCollection';

// ===================================================
// Drawer

export { default as Drawer } from './Drawer'
export { default as DrawerItem } from './DrawerItem'
export { default as DrawerList } from './DrawerList'
export { default as DrawerToggle, useDrawerToggle } from './DrawerToggle'
export { default as ResponsiveDrawer } from './ResponsiveDrawer'
export { DrawerContent, DrawerLogo, DrawerTitle } from './DrawerLayout'
// export { BadgeValue, addClassNameToProps, extractPathActions, IAction, IPathAction, mapPathActions, PathAction} from './core';
// export { DrawerLogoContent, DrawerLayout, DrawerProvider } from './DrawerLayout';

// ===================================================
// Pages
export { default as PageAction } from './PageAction'
export { default as PageError } from './PageError'
export { default as PageContent } from './PageContent'
export { default as PageHeaderAction } from './PageHeaderAction'
export { default as PageTitle } from './PageTitle'
export { default as PageContainer } from './PageContainer'

export { default as PageLoading } from './PageLoading'
export { default as Placeholder } from './Placeholder'

export { default as EditPage } from './EditPage'

// ===================================================
// Typography

export { default as ResponsiveTitle } from './ResponsiveTitle'
export { default as SubTitle } from './SubTitle'

// ===================================================
// Routes

export { default as PropsRoute } from './PropsRoute'
export { default as SelectableRoute, DisabledRoute } from './SelectableRoute'

// ===================================================
// Them/style
export * from './Theme'
export { ThemeProvider, ThemeOptions, TStylesGenerator } from './Theme'
import * as styles from './styles'
export { styles }
export { default as Visibility } from './Visibility'

// =========================================================

export { default as IconMenu } from './IconMenu'
export { default as MenuItem } from './MenuItem'
export { default as ListItem, SHOW_ON_LIST_ITEM_HOVER } from './ListItem'
export { default as LocationAwareMenuButton } from './LocationAwareMenuButton'

export { default as HeaderButton } from './HeaderButton'
export { default as ToolBarIconButton } from './ToolBarIconButton'

export { default as toggle } from './toggle'
export * from './toggle'

export { default as ExpansionPanel } from './ExpansionPanel'

export { default as HttpsCallableCollAdapter } from './firebase'

import * as utils from './utils'
export { utils }
import * as slots from './slots'
export { slots }
export { default as store } from './store'
export { log } from './utils'

import { sayHi } from './utils/sayHi'
sayHi()
