import { useEffect } from 'react'
import { extractPathActions, IPathAction } from '../Action'
import { useSlotChildren } from '../slots'
import type { SlotContext } from '../slots/createSlot'
import type { NamedAnyUiComponent } from '../utils'
import { locationStore } from './navigation'

export const usePathActionSlotChildren = (
  slot: SlotContext,
  Component: NamedAnyUiComponent<IPathAction>,
) => {
  const actions = useSlotChildren(slot)
  const paths = extractPathActions(actions, Component)
    .map(element => element.props.path)
    .filter(path => !!path)
  useEffect(() => locationStore.addTopRoutePaths(paths), [actions, Component])
  return { actions, paths }
}
