import { FC, memo, useContext, useEffect } from 'react'
import type { SlotContext } from './createSlot'

export const Slot: FC<{ slot: SlotContext }> = memo(
  ({ slot: context, children }) => {
    const slot = useContext(context)
    useEffect(() => {
      if (slot) {
        slot.setChild(children)
      }
    })
    useEffect(() => {
      if (slot) {
        return () => {
          slot.removeChild()
        }
      }
      return
    }, [slot])
    return null
  },
)
