import React, {FC, ReactElement} from 'react'
import { useStoreClass } from '../store'
import type { SlotContext } from './createSlot'
import { SlotStore } from './slotStore'

export interface ISlotProviderProps {
  slots: SlotContext[]
}

export type OptionalSlotProviderProps = Partial<ISlotProviderProps>

export const SlotsProvider: FC<ISlotProviderProps> = ({ children, slots }) => {
  const wrapped = slots.reduceRight((currentChildren, SlotCtx): ReactElement => {
    const store = useStoreClass(SlotStore)
    return <SlotCtx.Provider value={store}>{currentChildren}</SlotCtx.Provider>
  }, children)
  return <>{wrapped}</>;
}
