import {
  withStyles as withStylesMui,
} from '@material-ui/styles'
//TODO: remove @material-ui/styles
import type {
  Styles,
  WithStylesOptions,
} from '@material-ui/core/styles/withStyles'
import type { ThemeOfStyles } from "@material-ui/styles";
import clsx from 'clsx'
import * as React from 'react'
import type { FC } from 'react'
import type { AuiStandardProps } from '../types'

export const withStylesAui = <
  StylesType extends Styles<any, any>,
  Options extends WithStylesOptions<ThemeOfStyles<StylesType>> = {}
>(
  stylesOrCreator: StylesType,
  options: Options,
) => (Component: React.ComponentType<any>) => {
  const { name, classNamePrefix = 'Aui' } = options
  const compClassName = `${classNamePrefix}${name}`
  const InnerComponent: FC<AuiStandardProps> = ({ className, ...rest }) => (
    <Component className={clsx(compClassName, className)} {...rest} />
  )
  return withStylesMui<StylesType, Options>(stylesOrCreator, {
    ...options,
    name: compClassName,
  })(InnerComponent as any)
}
