import { useState } from 'react'

export type TToggleState = [boolean, () => void]
export type TUseToggle = (initial: boolean) => TToggleState

export const useToggle: TUseToggle = initial => {
  const [value, setValue] = useState(initial)
  return [
    value,
    () => {
      setValue(!value)
    },
  ]
}
export default useToggle