import { Context, createContext, useContext } from 'react'
import type { TToggleState } from './useToggle'

export type TToggleValueContext = Context<TToggleState>

export type TCreateToggleValueContext = (
  initial: boolean,
) => TToggleValueContext

export const creteToggleValueContext: TCreateToggleValueContext = (
  initial = false,
) =>
  createContext<TToggleState>([
    initial,
    () => {
      // do nothing
    },
  ])

export type TUseToggleValueContext = (
  context: TToggleValueContext,
) => TToggleState

export const useToggleValueContext: TUseToggleValueContext = context => {
  return useContext(context)
}
