import clsx from 'clsx'
import type { AuiStandardProps } from '../types'

export const addClassNameToProps = (
  { className, ...rest }: AuiStandardProps & any,
  classNameLocal: string,
  ...otherClassNames: string[]
): AuiStandardProps => ({
  className: clsx(
    classNameLocal.startsWith('Aui') ? classNameLocal : `Aui-${classNameLocal}`,
    otherClassNames,
    className,
  ),
  ...rest,
})
export default addClassNameToProps