import type { ReactElement, ReactNode } from 'react'
import { extractAnyUiElementsOfType, NamedAnyUiComponent } from './index'

export function extractAnyUiElements(
  children: ReactNode,
  componentKeys: Array<NamedAnyUiComponent<any>>,
): [ReactNode, Map<NamedAnyUiComponent<any>, ReactElement[]>] {
  let remainingChildren = children
  const compMap = new Map<NamedAnyUiComponent, ReactElement[]>()
  componentKeys.forEach((componentKey: NamedAnyUiComponent) => {
    const [components, filteredChildren] = extractAnyUiElementsOfType(
      remainingChildren,
      componentKey,
    )
    remainingChildren = filteredChildren
    compMap.set(componentKey, components)
  })
  return [remainingChildren, compMap]
}
