import partition from 'lodash/partition'
import { Children, ReactElement, ReactNode } from 'react'
import type { NamedAnyUiComponent } from './index'
import { isAnyUiElement } from './isAnyUiElement'

export function extractAnyUiElementsOfType<P>(
  children: ReactNode,
  anyUiComponentType: NamedAnyUiComponent<P>,
) {
  return partition(Children.toArray(children), c =>
    isAnyUiElement(c, anyUiComponentType),
  ) as [Array<ReactElement<P>>, ReactNode[]]
}
