import { isValidElement, ReactElement, ReactNode } from 'react'
import type { INamedAnyUiElement, NamedAnyUiComponent } from './index'

const elementAnyUiName = (element: ReactNode) =>
  (element as INamedAnyUiElement).type.anyUiName || ''

export function isAnyUiElement<P>(
  element: ReactNode,
  anyUiComponentType: NamedAnyUiComponent<P>,
): element is ReactElement<P> {
  return (
    isValidElement(element) &&
    anyUiComponentType.anyUiName === elementAnyUiName(element)
  )
}
